Back to index

salome-geom  6.5.0
Functions
GEOMAlgo_WESCorrector.cxx File Reference
#include <GEOMAlgo_WESCorrector.hxx>
#include <Geom_Surface.hxx>
#include <TopLoc_Location.hxx>
#include <TopoDS.hxx>
#include <TopoDS_Shape.hxx>
#include <TopoDS_Wire.hxx>
#include <TopoDS_Face.hxx>
#include <TopoDS_Edge.hxx>
#include <BRep_Builder.hxx>
#include <BRep_Tool.hxx>
#include <BRepAdaptor_Surface.hxx>
#include <TopTools_IndexedMapOfOrientedShape.hxx>
#include <TopTools_ListIteratorOfListOfShape.hxx>
#include <BOP_ConnexityBlock.hxx>
#include <BOP_ListIteratorOfListOfConnexityBlock.hxx>
#include <BOPTColStd_ListOfListOfShape.hxx>
#include <BOPTColStd_ListIteratorOfListOfListOfShape.hxx>
#include <TopTools_IndexedDataMapOfShapeListOfShape.hxx>
#include <NMTTools_IndexedDataMapOfShapeIndexedMapOfShape.hxx>
#include <TopExp.hxx>
#include <TopTools_IndexedMapOfShape.hxx>
#include <TopTools_MapOfShape.hxx>
#include <TopTools_MapIteratorOfMapOfShape.hxx>
#include <TopoDS_Iterator.hxx>
#include <GEOMAlgo_WireSplitter.hxx>
#include <GEOMAlgo_WESScaler.hxx>

Go to the source code of this file.

Functions

static void MakeWire (const TopTools_ListOfShape &aLE, TopoDS_Wire &newWire)
static Standard_Boolean IsToScale (const TopoDS_Face &aF, Standard_Real &aScale)

Function Documentation

Standard_Boolean IsToScale ( const TopoDS_Face &  aF,
Standard_Real &  aScale 
) [static]

Definition at line 403 of file GEOMAlgo_WESCorrector.cxx.

{
  Standard_Boolean bRet;
  Standard_Real aV1, aV2, dV, aTr;
  GeomAbs_SurfaceType aType;
  BRepAdaptor_Surface aBAS;
  //
  bRet=Standard_False;
  aScale=1.;
  //
  aBAS.Initialize(aF);
  aType=aBAS.GetType();
  if (aType==GeomAbs_Cylinder) {
    aTr=1.e5;
    aV1=aBAS.FirstVParameter();
    aV2=aBAS.LastVParameter();
    dV=aV2-aV1;
    //
    if (dV>aTr) {
      bRet=!bRet;
      aScale=1./aTr;
      return bRet;
    }
  }
  return bRet;
}

Here is the caller graph for this function:

void MakeWire ( const TopTools_ListOfShape &  aLE,
TopoDS_Wire &  newWire 
) [static]

Definition at line 386 of file GEOMAlgo_WESCorrector.cxx.

{
  BRep_Builder aBB;
  aBB.MakeWire(newWire);

  TopTools_ListIteratorOfListOfShape anIt(aLE);
  for (; anIt.More(); anIt.Next()){
    const TopoDS_Edge& aE=TopoDS::Edge(anIt.Value());
    aBB.Add(newWire, aE);
  }
}

Here is the caller graph for this function: